﻿@model IEnumerable<CompanyUserListModel>

@{
    ViewData["Title"] = "Manage Company User";
}

<div class="content-wrapper" style="min-height: 500.8px;margin:0 !important;">
    <section class="content-header">
        <h1>
            Manage Company User
        </h1>
        <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Manage Company User</li>
        </ol>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="box">
                    <div class="box-header">
                        <h3 class="box-title"></h3>
                        <div class="box-tools">
                            <div class="input-group input-group-sm" style="width: 150px;text-align:right;">
                                <a asp-controller="CompanyUser" asp-action="CreateUser"><i class="fa fa-plus-circle"></i><span>Add New</span></a>
                            </div>
                        </div>
                    </div>
                    <!-- /.box-header -->
                    <div class="box-body table-responsive">
                        @if (!string.IsNullOrEmpty(Convert.ToString(TempData["ErrorMessage"])))
                        {
                            <div class="alert alert-danger">  @TempData["ErrorMessage"]</div>
                            <script>
                                $(function () {
                                    setTimeout(function () { hideTarget(); }, 5000);
                                });
                                function hideTarget() {
                                    $(".alert").hide();
                                }
                            </script>
                        }
                        @if (!string.IsNullOrEmpty(Convert.ToString(TempData["SuccessMessage"])))
                        {
                            <div class="alert alert-success">  @TempData["SuccessMessage"]</div>
                            <script>
                                $(function () {
                                    setTimeout(function () { hideTarget(); }, 5000);
                                });
                                function hideTarget() {
                                    $(".alert").hide();
                                }
                            </script>
                        }
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                   
                                    <th>
                                        @Html.DisplayNameFor(model => model.CompanyName)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.RoleName)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.FirstName)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.LastName)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.Email)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.CreatedOn)
                                    </th>

                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach (var item in Model)
                                {
                                <tr>
                                    
                                    <td>
                                        @Html.DisplayFor(modelItem => item.CompanyName)
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.RoleName)
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.FirstName)
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.LastName)
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.Email)
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.CreatedOn)
                                    </td>
                                    <td>
                                        <a asp-action="EditCompanyUser" asp-route-id="@item.Id" class="fa fa-street-view" title="View Company User"></a>

                                    </td>
                                </tr>
                                }
                            </tbody>
                        </table>
                    </div>
                </div>
                <div>
                    @*<a asp-action="Index">Back to List</a>*@
                </div>
                <!-- /.box -->
            </div>
        </div>
    </section>
</div>

